# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'print (($ExtUtils::MakeMaker::VERSION < 6.30) ? 1 : 0);' 2>/dev/null || echo 0)

# We don't really need Cwd ≥ 3.16
%global old_cwd %(perl -MCwd -e 'print (($Cwd::VERSION < 3.16) ? 1 : 0);' 2>/dev/null || echo 0)

# We don't really need File::Spec::Functions ≥ 3.27
%global old_fsf %(perl -MFile::Spec::Functions -e 'print (($File::Spec::Functions::VERSION < 3.27) ? 1 : 0);' 2>/dev/null || echo 0)

# We have to patch the test suite if we have Test::More < 0.88
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-File-chdir
Version:	0.1008
Release:	1.%{__distinit}%{__distvers}
Summary:	A more sensible way to change directories
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/File-chdir/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/File-chdir-%{version}.tar.gz
Patch0:		File-chdir-0.1006-old-EU::MM.patch
Patch1:		File-chdir-0.1006-old-File::Spec::Functions.patch
Patch2:		File-chdir-0.1006-old-Cwd.patch
Patch3:		File-chdir-0.1008-old-Test::More.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# ======== Module Build ==========================
BuildRequires:	perl(ExtUtils::MakeMaker)
# ======== Module Runtime ========================
BuildRequires:	perl(Carp)
BuildRequires:	perl(Cwd) >= 2.19
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec::Functions) >= 1.3
# ======== Regular Test Suite ====================
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Test::More)
# ======== Extra Tests ===========================
# Perl::Critic::Lax -> Perl::Critic -> PPIx::Regexp -> Test::Kwalitee -> Module::CPANTS::Analyse -> File::chdir
# Test::Perl::Critic -> Perl::Critic -> PPIx::Regexp -> Test::Kwalitee -> Module::CPANTS::Analyse -> File::chdir
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Perl::Critic::Policy::Lax::ProhibitStringyEval::ExceptForRequire)
BuildRequires:	perl(Test::Perl::Critic)
%endif
BuildRequires:	perl(English)
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Pod::Wordlist::hanekomu)
BuildRequires:	perl(Test::CPAN::Meta)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
BuildRequires:	perl(Test::Portability::Files)
BuildRequires:	perl(Test::Spelling), aspell-en
BuildRequires:	perl(Test::Version)
# ======== Module Runtime ========================
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Perl's chdir() has the unfortunate problem of being very, very, very
global. If any part of your program calls chdir() or if any library you
use calls chdir(), it changes the current working directory for the
whole program.

This sucks.

File::chdir gives you an alternative, $CWD and @CWD. These two variables
combine all the power of chdir(), File::Spec and Cwd.

%prep
%setup -q -n File-chdir-%{version}

# Don't have ExtUtils::MakeMaker 6.30 on all supported distros
%if %{old_eumm}
%patch0
%endif

# Don't have File::Spec::Functions 3.27 on all supported distros
%if %{old_fsf}
%patch1
%endif

# Don't have Cwd 3.16 on all supported distros
%if %{old_cwd}
%patch2
%endif

# We have to patch the test suite if we have Test::More < 0.88
%if %{old_test_more}
%patch3
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING LICENSE README
%{perl_vendorlib}/File/
%{_mandir}/man3/File::chdir.3pm*

%changelog
* Mon Dec  3 2012 Paul Howarth <paul@city-fan.org> - 0.1008-1
- Update to 0.1008
  - Fixed broken use of abs_path on Cygwin
  - README.PATCHING replaced by CONTRIBUTING

* Tue Sep 18 2012 Paul Howarth <paul@city-fan.org> - 0.1007-1
- Update to 0.1007
   - Fixed broken Pod link; reordered CAVEATS section
- Classify buildreqs by usage
- Run the extra tests too
- BR: perl(English), perl(Pod::Coverage::TrustPod), perl(Test::CPAN::Meta),
  perl(Perl::Critic::Policy::Lax::ProhibitStringyEval::ExceptForRequire),
  perl(Pod::Coverage::TrustPod), perl(Pod::Wordlist::hanekomu),
  perl(Test::CPAN::Meta), perl(Test::Perl::Critic), perl(Test::Pod),
  perl(Test::Pod::Coverage), perl(Test::Portability::Files),
  perl(Test::Spelling), aspell-en and perl(Test::Version) for the extra tests
- Update patch for building with old Test::More versions to cater for
  the extra tests

* Fri Jun  8 2012 Paul Howarth <paul@city-fan.org> - 0.1006-3
- Perl 5.16 rebuild

* Mon May 28 2012 Paul Howarth <paul@city-fan.org> - 0.1006-2
- Import from Fedora
- Add patches to support building on old distributions

* Wed Jan 11 2012 Petr Šabata <contyk@redhat.com> - 0.1006-1
- 0.1006 bump

* Sat Jun 18 2011 Iain Arnell <iarnell@gmail.com> - 0.1003-1
- Update to latest upstream version
- Clean up spec for modern rpmbuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.09-10
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.09-8
- Rebuild to fix problems with vendorarch/lib (#661697)

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.09-7
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.09-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.09-5
- Rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.09-2
- Rebuild for new perl

* Thu Jan 17 2008 Ian Burrell <ianburrell@gmail.com> - 0.09-1
- Update to 0.09

* Thu Aug 16 2007 Ian M. Burrell <ianburrell@gmail.com> - 0.06-3
- Fix BuildRequires

* Tue Jun 27 2006 Ian M. Burrell <ianburrell@gmail.com> - 0.06-2
- Fix rpmlint warnings

* Thu Mar 30 2006 Ian Burrell <ianburrell@gmail.com> - 0.06-1
- Specfile autogenerated by cpanspec 1.64
